
ChiliProject - Feature # 202: Adding the theme used on chiliproject.org to the repository

Status: Closed Priority: Normal
Author: Wieland Lindenthal Category: Themes
Created: 2011-02-18 Assignee: Eric Davis
Updated: 2011-05-27 Due date:
Remote issue URL:
Affected version:
Description: The current theme used on chiliproject.org could (obviously) be better. The following bullets show that there is 

a need for working on the theme:
 
* #164 claims that the font colors are not easy to read.
* #96 reports problems with the table of contents in wiki pages.
* #77 had a vivid discussion on icons and even contributions.
* #118 proposed a first draft on how mobile experience could be better.
* There were several issues more on broken/missing wiki styles.

I believe that the work on the theme is blocked as the theme is not part of the official ChiliProject repository.

I understand that this topic is not in the center of the focus of many people, as there is a lot of other and 
higher priority stuff out there that need a lot of careful attention. However, there are people out there willing to 
work on the theme even before we have the completely new layout and theme in release 2.0 and before we 
have a logo and colors. 

Therefore I propose adding the currently used theme to the repository so that people can send pull requests.

Associated revisions
2010-03-18 09:02 pm - Jean-Philippe Lang 
Adds text formatting to documents index (#202).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@3602 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-05-27 06:18 pm - Eric Davis
[#202] Add the theme used on chiliproject.org

Using 3c2ef2757165e23b65fd from
https://github.com/edavis10/squeejee_theme/tree/chiliproject.org

History
2011-02-19 01:40 am - Eric Davis
The theme repository exists where pull requests can be sent to: https://github.com/edavis10/squeejee_theme. I don't think including the theme is 
necessary for bugs to get fixed on chiliproject.org.

2011-02-20 05:11 pm - Felix Schäfer
Eric Davis wrote:
> I don't think including the theme is necessary for bugs to get fixed on chiliproject.org.

I don't see how it would hurt: people wanting to run the same theme as here can just switch, people wanting to contribute don't have to check out yet 
another repo thus lowering the "cost of entry", and it wouldn't change the default theme. In other words: I'd rather have it in the same repo.

If we don't merge it to ChiliProject, I'd still like to have it under chiliproject/squeejee on github and have it linked more prominently on the how to 
contribute pages.
2011-02-21 08:45 am - Wieland Lindenthal
I agree with Felix. 

# I believe the theme should develop over time and therefore be under control of the ChiliProject organization on github. 
# I think we should have the goal to make installation as easy as possible. Adding the theme as a git submodule is not what I consider being easy.

We should even consider calling it differently. "chiliproject.org" could be the name until it might become the standard theme for new ChiliProject 
installations

2011-03-02 09:34 am - John Yani
How about adding a feature so the user can use custom themes?
Made a feature request #294

2011-03-02 10:10 am - Holger Just
John Yani wrote:
> How about adding a feature so the user can use custom themes?

User (or admins in this case) can install whatever theme they like. See [[Themes]] for more information.

2011-03-02 09:45 pm - Mischa The Evil
I can do some coding on the theme too... ;-)

Heyas...

2011-03-12 10:24 am - Kirill Kalachev
Eric Davis wrote:
> The theme repository exists where pull requests can be sent to: https://github.com/edavis10/squeejee_theme. I don't think including the theme is 
necessary for bugs to get fixed on chiliproject.org.

I tried to add the above theme you specified to my ChiliProject installation. But this is totally different from what I see at chiliproject.org.
ChiliProject has pleasant white colors, while squeejee theme has dark backgrounds.

The chiliproject.org theme should defenitely become the default theme of ChiliProject. This will also give the difference between redmine and 
ChiliProject look and feel.

2011-03-12 10:56 am - Holger Just
Kirill Kalachev wrote:
> I tried to add the above theme you specified to my ChiliProject installation. But this is totally different from what I see at chiliproject.org.
> ChiliProject has pleasant white colors, while squeejee theme has dark backgrounds.

You need to use the "@chiliproject.org@ branch":https://github.com/edavis10/squeejee_theme/tree/chiliproject.org. It modifies the original theme for 
chiliproject.

This theme however is just used as an intermediary, until we have our new default theme ready See #263 for that.

2011-03-12 11:09 am - Kirill Kalachev
Holger Just wrote:
> You need to use the "@chiliproject.org@ branch":https://github.com/edavis10/squeejee_theme/tree/chiliproject.org. It modifies the original theme for 
chiliproject.
> 
> This theme however is just used as an intermediary, until we have our new default theme ready See #263 for that.

Didn't notice the chiliproject.org branch. Thanks a lot for information.
2011-05-27 04:22 pm - Eric Davis
- Target version set to 1.4.0

- Assignee set to Eric Davis

- Status changed from Open to Closed

After thinking about this a bit more, I've changed my mind about including the chiliproject.org theme.

* I've heard from enough people that they wanted the theme
* The other themes are pretty basic (default, alternative, classic) and
* I'm going to need a theme with some changes in order to test out how it works with #263

So as of 1.4.0 this theme will be an option the Administrator can select. commit:c4658bd
